#ifndef __SMSOUND

#define __SMSOUND

#define SM_SOUND_DATASAMPLES 1024

namespace SM_Sound
{
  int       Init();
  int       Shutdown();

  void      SetStream(DWORD handle);

  bool      IsBeat           (float fTime); 
  void      SetBeatThreshold (float fPeakFrequency, float fMinAmplitude);
  void      GetBeatThreshold (float* pfPeakFrequency, float* pfMinAmplitude);
  bool      GetFFT           (float fTime, float*& pfData);
}

#endif